#!/bin/sh
#
# This is a scorpio24 startup file, it will create all neccessary settings
# in "$HOME"/.scorpio24
# Scorpio needs its .ini file in its start location. 
# It is hardwired so please use this startup file
# 
# This script was sligtly modified from a script originally written by Oliver Korff <ok@xynyx.de> 


if [ ! -d "$HOME"/.scorpio24 ] ; then 
		mkdir "$HOME"/.scorpio24 ; 
	fi

if [ ! -d "$HOME"/.scorpio24/log ] ; then
		mkdir "$HOME"/.scorpio24/log ;
	fi

if [ ! -e "$HOME"/.scorpio24/scorpio.ini ] ; then 
		cp /usr/share/scorpio24/scorpio.ini "$HOME"/.scorpio24/ ; 
	fi

if [ ! -e "$HOME"/.scorpio24/book.dat ] ; then
		cp /usr/share/scorpio24/book.dat "$HOME"/.scorpio24/ ;
	fi

cd "$HOME"/.scorpio24/ 

/usr/bin/scorpio24.bin

exit 0
